<div fxLayout="column" fxLayoutAlign="space-around stretch" > 
      <mat-card fxShow="true" fxHide.lt-md>
    <form fxShow="true" fxHide.lt-md #loginForm="ngForm" (ngSubmit)="login()">
      <div fxLayout="column" fxLayoutAlign="space-between center">
        <mat-form-field>
          <input
            matInput
            type="text"
            placeholder="user name"
            name="username"
            id="username"
            [(ngModel)]="user.username"
            required
          />
        </mat-form-field>
        <mat-form-field>
          <input
            matInput
            type="password"
            placeholder="password"
            name="password"
            id="password"
            [(ngModel)]="user.password"
            required
          />
        </mat-form-field>
        <button mat-button type="submit" [disabled]="!loginForm.form.valid">
          login
        </button>
        <a [routerLink]="[ '/register' ]">Don't have an account</a>
      </div>
    </form>
  </mat-card>
</div>
